/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template entitytypecommon.txt

package edu.nps.moves.dis7.entities.usa.platform.surface;

import edu.nps.moves.dis7.pdus.*;
import edu.nps.moves.dis7.enumerations.*;

/**
 * <p> Entity class <b><code>WingP58CombatAssaultCraftICAC15passenger</code></b> collects multiple enumeration values together to uniquely define this entity. </p>
 * <p> <i>Usage:</i> create an instance of this class with <code>WingP58CombatAssaultCraftICAC15passenger.createInstance()</code> or <code>new WingP58CombatAssaultCraftICAC15passenger()</code>. </p>
 * <ul>
 *     <li> Country: United States of America (USA) = <code>225</code>; </li>
 *     <li> Entity kind: PlatformDomain = <code>SURFACE</code>; </li>
 *     <li> Domain: Platform = <code>1</code>; </li>
 *     <li> Category: Inflatable Boat = <code>65</code>; </li>
 *     <li> SubCategory: WingP58CombatAssaultCraftICAC15passenger  = <code>6</code>; </li>
 *     <li> Specific: null <code>(none)</code>; </li>
 *     <li> Entity type uid: 36174; </li>
 *     <li> Online document reference: <a href="https://gitlab.nps.edu/Savage/NetworkedGraphicsMV3500/-/blob/master/specifications/README.md" target="_blank">SISO-REF-010-v33 (2024-05-29)</a>. </li>
 * </ul>
 * <p> Full name: edu.nps.moves.dis7.source.generator.entityTypes.GenerateEntityTypes$SubCategoryElem@352f6727. </p>
 * @see Country#UNITED_STATES_OF_AMERICA_USA
 * @see EntityKind#PLATFORM
 * @see Domain
 * @see PlatformDomain
 * @see Category
 * @see InflatableBoat
 * @see SubCategory

 */
public final class WingP58CombatAssaultCraftICAC15passenger extends EntityType
{
    /** Default constructor */
    public WingP58CombatAssaultCraftICAC15passenger()
    {
        setCountry(Country.UNITED_STATES_OF_AMERICA_USA);
        setEntityKind(EntityKind.PLATFORM);
        setDomain(Domain.inst(PlatformDomain.SURFACE));

        setCategory((byte)65); // uid 35912, Inflatable Boat
        setSubCategory((byte)6); // uid 36174, Wing P5.8 Combat Assault Craft (I-CAC), 15 passenger
    }
    /** Create a new instance of this final (unmodifiable) class
      * @return copy of class for use as data */
    public static WingP58CombatAssaultCraftICAC15passenger createInstance()
    {
            return new WingP58CombatAssaultCraftICAC15passenger();
    }
}
