/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1withfootnote.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 438, marshal size 8;
 * PlatformLandNonmotorizedSubcategories has 25 enumerations total.
 * Subcategories for Land Platform Category 91
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum PlatformLandNonmotorizedSubcategories 
{

    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Unicycle */
    // autogenerated using string template disenumpart2.txt
    UNICYCLE (1, "Unicycle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bicycle */
    // autogenerated using string template disenumpart2.txt
    BICYCLE (2, "Bicycle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bicycle, Mountain */
    // autogenerated using string template disenumpart2.txt
    BICYCLE_MOUNTAIN (3, "Bicycle, Mountain"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Bicycle, Racing */
    // autogenerated using string template disenumpart2.txt
    BICYCLE_RACING (4, "Bicycle, Racing"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tricycle */
    // autogenerated using string template disenumpart2.txt
    TRICYCLE (5, "Tricycle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Quadricycle */
    // autogenerated using string template disenumpart2.txt
    QUADRICYCLE (6, "Quadricycle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Rickshaw, Two Person */
    // autogenerated using string template disenumpart2.txt
    RICKSHAW_TWO_PERSON (7, "Rickshaw, Two Person"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Rickshaw, One Person */
    // autogenerated using string template disenumpart2.txt
    RICKSHAW_ONE_PERSON (8, "Rickshaw, One Person"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tandem Bicycle */
    // autogenerated using string template disenumpart2.txt
    TANDEM_BICYCLE (9, "Tandem Bicycle"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cycle Trailer */
    // autogenerated using string template disenumpart2.txt
    CYCLE_TRAILER (10, "Cycle Trailer"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cycle Sidecar */
    // autogenerated using string template disenumpart2.txt
    CYCLE_SIDECAR (11, "Cycle Sidecar"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Sled */
    // autogenerated using string template disenumpart2.txt
    SLED (12, "Sled"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skis */
    // autogenerated using string template disenumpart2.txt
    SKIS (13, "Skis"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Snowboard */
    // autogenerated using string template disenumpart2.txt
    SNOWBOARD (14, "Snowboard"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skateboard */
    // autogenerated using string template disenumpart2.txt
    SKATEBOARD (15, "Skateboard"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skates */
    // autogenerated using string template disenumpart2.txt
    SKATES (16, "Skates"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Skates, In-Line */
    // autogenerated using string template disenumpart2.txt
    SKATES_IN_LINE (17, "Skates, In-Line"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wagon Cart */
    // autogenerated using string template disenumpart2.txt
    WAGON_CART (18, "Wagon Cart"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Dolly */
    // autogenerated using string template disenumpart2.txt
    DOLLY (19, "Dolly"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Handtruck */
    // autogenerated using string template disenumpart2.txt
    HANDTRUCK (20, "Handtruck"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Push Cart */
    // autogenerated using string template disenumpart2.txt
    PUSH_CART (21, "Push Cart"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wheelbarrow */
    // autogenerated using string template disenumpart2.txt
    WHEELBARROW (22, "Wheelbarrow"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Kick Scooter */
    // autogenerated using string template disenumpart2.txt
    KICK_SCOOTER (23, "Kick Scooter"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Wheelchair */
    // autogenerated using string template disenumpart2.txt
    WHEELCHAIR (24, "Wheelchair");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    PlatformLandNonmotorizedSubcategories(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 8;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static PlatformLandNonmotorizedSubcategories getEnumForValue(int value)
    {
       for (PlatformLandNonmotorizedSubcategories nextEnum : PlatformLandNonmotorizedSubcategories.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum PlatformLandNonmotorizedSubcategories");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_8.txt

    private boolean TRACE = false;

    /** Set tracing on/off for this object 
     * @param value whether tracing is on or off */
    public void setTRACE (boolean value)
    {
        TRACE = value;
    }

    /** Whether tracing is on or off for this object
     * @return whether tracing is on or off */
    public boolean getTRACE ()
    {
        return TRACE;
    }

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeByte(getValue());
    }
    
    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.put((byte)getValue());
    }

    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandNonmotorizedSubcategories unmarshalEnum (DataInputStream dis) throws Exception
    {
       /* try {
            value = dis.readUnsignedByte();
        }
        catch(IOException ex) {
            showError(ex);
        } */
        
        return getEnumForValue(dis.readByte());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static PlatformLandNonmotorizedSubcategories unmarshalEnum(ByteBuffer byteBuffer) throws Exception
    {
        /*
        try {
            value = (int)byteBuffer.get();
        }
        catch(Exception ex) {
            showError(ex);
        }
        */
        return getEnumForValue(byteBuffer.get());
    }

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 1; // 8 bits
    }
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

    
  /**
   * Provide simple identifier
   * @return class name, value and name
   */
    @Override
    public String toString()
    {
        String padding = new String();
        if (this.getClass().getName().endsWith("DisPduType") && (getValue() < 10))
            padding = "0"; // leading zero for column spacing
        String result = this.getClass().getSimpleName() + " " + padding + getValue() + " " + name();
        if (getTRACE())
            System.out.println ("*** enum " + this.getClass().getSimpleName() + " name=" + name() + ", value=" + getValue() + "; " +
               result); // debug diagnostic
        return result;
    }
}
