/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt

// autogenerated using string template disenumpart1.txt

package edu.nps.moves.dis7.enumerations;

import java.nio.ByteBuffer;
import java.io.DataInputStream;
import java.io.DataOutputStream;
import java.io.IOException;

import edu.nps.moves.dis7.pdus.*;

/**
 * This <code>enum</code> type is generated from XML,
 *  UID 178,
 * marshal size 16;
 * SignalTDLType has 97 enumerations total.
 * @see <a href="https://docs.oracle.com/javase/tutorial/java/javaOO/enum.html">Java Tutorials: Enum Types</a>
 * @see java.lang.Enum
 */
public enum SignalTDLType 
{
    // autogenerated using string template disenumfootnotecomment.txt

    /** Other */
    // autogenerated using string template disenumpart2.txt
    OTHER (0, "Other"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** PADIL */
    // autogenerated using string template disenumpart2.txt
    PADIL (1, "PADIL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** NATO Link-1 */
    // autogenerated using string template disenumpart2.txt
    NATO_LINK_1 (2, "NATO Link-1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ATDL-1 */
    // autogenerated using string template disenumpart2.txt
    ATDL_1 (3, "ATDL-1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 11B (TADIL B) */
    // autogenerated using string template disenumpart2.txt
    LINK_11B_TADIL_B (4, "Link 11B (TADIL B)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Situational Awareness Data Link (SADL) */
    // autogenerated using string template disenumpart2.txt
    SITUATIONAL_AWARENESS_DATA_LINK_SADL (5, "Situational Awareness Data Link (SADL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 16 Legacy Format (JTIDS/TADIL-J) */
    // autogenerated using string template disenumpart2.txt
    LINK_16_LEGACY_FORMAT_JTIDS_TADIL_J (6, "Link 16 Legacy Format (JTIDS/TADIL-J)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 16 Legacy Format (JTIDS/FDL/TADIL-J) */
    // autogenerated using string template disenumpart2.txt
    LINK_16_LEGACY_FORMAT_JTIDS_FDL_TADIL_J (7, "Link 16 Legacy Format (JTIDS/FDL/TADIL-J)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 11 (TADIL A) */
    // autogenerated using string template disenumpart2.txt
    LINK_11_TADIL_A (8, "Link 11 (TADIL A)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** IJMS */
    // autogenerated using string template disenumpart2.txt
    IJMS (9, "IJMS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 4A (TADIL C) */
    // autogenerated using string template disenumpart2.txt
    LINK_4A_TADIL_C (10, "Link 4A (TADIL C)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 4C */
    // autogenerated using string template disenumpart2.txt
    LINK_4C (11, "Link 4C"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TIBS */
    // autogenerated using string template disenumpart2.txt
    TIBS (12, "TIBS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ATL */
    // autogenerated using string template disenumpart2.txt
    ATL (13, "ATL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Constant Source */
    // autogenerated using string template disenumpart2.txt
    CONSTANT_SOURCE (14, "Constant Source"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Abbreviated Command and Control */
    // autogenerated using string template disenumpart2.txt
    ABBREVIATED_COMMAND_AND_CONTROL (15, "Abbreviated Command and Control"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** MILSTAR */
    // autogenerated using string template disenumpart2.txt
    MILSTAR (16, "MILSTAR"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** ATHS */
    // autogenerated using string template disenumpart2.txt
    ATHS (17, "ATHS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** OTHGOLD */
    // autogenerated using string template disenumpart2.txt
    OTHGOLD (18, "OTHGOLD"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TACELINT */
    // autogenerated using string template disenumpart2.txt
    TACELINT (19, "TACELINT"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Weapons Data Link (AWW-13) */
    // autogenerated using string template disenumpart2.txt
    WEAPONS_DATA_LINK_AWW_13 (20, "Weapons Data Link (AWW-13)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Abbreviated Command and Control */
    // autogenerated using string template disenumpart2.txt
    ABBREVIATED_COMMAND_AND_CONTROL_2 (21, "Abbreviated Command and Control"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Enhanced Position Location Reporting System (EPLRS) */
    // autogenerated using string template disenumpart2.txt
    ENHANCED_POSITION_LOCATION_REPORTING_SYSTEM_EPLRS (22, "Enhanced Position Location Reporting System (EPLRS)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Position Location Reporting System (PLRS) */
    // autogenerated using string template disenumpart2.txt
    POSITION_LOCATION_REPORTING_SYSTEM_PLRS (23, "Position Location Reporting System (PLRS)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SINCGARS */
    // autogenerated using string template disenumpart2.txt
    SINCGARS (24, "SINCGARS"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** HAVE QUICK I */
    // autogenerated using string template disenumpart2.txt
    HAVE_QUICK_I (25, "HAVE QUICK I"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** HAVE QUICK II */
    // autogenerated using string template disenumpart2.txt
    HAVE_QUICK_II (26, "HAVE QUICK II"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** SATURN, Formerly HAVE QUICK IIA (HQIIA) */
    // autogenerated using string template disenumpart2.txt
    SATURN (27, "SATURN"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Intra-Flight Data Link 1 */
    // autogenerated using string template disenumpart2.txt
    IDENTIFICATION_FRIEND_OR_FOE (28, "Intra-Flight Data Link 1"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Intra-Flight Data Link 2 */
    // autogenerated using string template disenumpart2.txt
    INTRA_FLIGHT_DATA_LINK_2 (29, "Intra-Flight Data Link 2"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Improved Data Modem (IDM) */
    // autogenerated using string template disenumpart2.txt
    SUPPLEMENTAL_EMISSION_ENTITY_STATE (30, "Improved Data Modem (IDM)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Air Force Application Program Development (AFAPD) */
    // autogenerated using string template disenumpart2.txt
    AIR_FORCE_APPLICATION_PROGRAM_DEVELOPMENT_AFAPD (31, "Air Force Application Program Development (AFAPD)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cooperative Engagement Capability (CEC) */
    // autogenerated using string template disenumpart2.txt
    COOPERATIVE_ENGAGEMENT_CAPABILITY_CEC (32, "Cooperative Engagement Capability (CEC)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Forward Area Air Defense (FAAD) Data Link (FDL) */
    // autogenerated using string template disenumpart2.txt
    FORWARD_AREA_AIR_DEFENSE_FAAD_DATA_LINK_FDL (33, "Forward Area Air Defense (FAAD) Data Link (FDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Ground Based Data Link (GBDL) */
    // autogenerated using string template disenumpart2.txt
    GROUND_BASED_DATA_LINK_GBDL (34, "Ground Based Data Link (GBDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Intra Vehicular Info System (IVIS) */
    // autogenerated using string template disenumpart2.txt
    INTRA_VEHICULAR_INFO_SYSTEM_IVIS (35, "Intra Vehicular Info System (IVIS)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Marine Tactical System (MTS) */
    // autogenerated using string template disenumpart2.txt
    MARINE_TACTICAL_SYSTEM_MTS (36, "Marine Tactical System (MTS)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tactical Fire Direction System (TACFIRE) */
    // autogenerated using string template disenumpart2.txt
    TACTICAL_FIRE_DIRECTION_SYSTEM_TACFIRE (37, "Tactical Fire Direction System (TACFIRE)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Integrated Broadcast Service (IBS) */
    // autogenerated using string template disenumpart2.txt
    INTEGRATED_BROADCAST_SERVICE_IBS (38, "Integrated Broadcast Service (IBS)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Airborne Information Transfer (ABIT) */
    // autogenerated using string template disenumpart2.txt
    AIRBORNE_INFORMATION_TRANSFER_ABIT (39, "Airborne Information Transfer (ABIT)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Advanced Tactical Airborne Reconnaissance System (ATARS) Data Link */
    // autogenerated using string template disenumpart2.txt
    ADVANCED_TACTICAL_AIRBORNE_RECONNAISSANCE_SYSTEM_ATARS_DATA_LINK (40, "Advanced Tactical Airborne Reconnaissance System (ATARS) Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Battle Group Passive Horizon Extension System (BGPHES) Data Link */
    // autogenerated using string template disenumpart2.txt
    BATTLE_GROUP_PASSIVE_HORIZON_EXTENSION_SYSTEM_BGPHES_DATA_LINK (41, "Battle Group Passive Horizon Extension System (BGPHES) Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Common High Bandwidth Data Link (CHBDL) */
    // autogenerated using string template disenumpart2.txt
    COMMON_HIGH_BANDWIDTH_DATA_LINK_CHBDL (42, "Common High Bandwidth Data Link (CHBDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Guardrail Interoperable Data Link (IDL) */
    // autogenerated using string template disenumpart2.txt
    GUARDRAIL_INTEROPERABLE_DATA_LINK_IDL (43, "Guardrail Interoperable Data Link (IDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Guardrail Common Sensor System One (CSS1) Data Link */
    // autogenerated using string template disenumpart2.txt
    GUARDRAIL_COMMON_SENSOR_SYSTEM_ONE_CSS1_DATA_LINK (44, "Guardrail Common Sensor System One (CSS1) Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Guardrail Common Sensor System Two (CSS2) Data Link */
    // autogenerated using string template disenumpart2.txt
    GUARDRAIL_COMMON_SENSOR_SYSTEM_TWO_CSS2_DATA_LINK (45, "Guardrail Common Sensor System Two (CSS2) Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Guardrail CSS2 Multi-Role Data Link (MRDL) */
    // autogenerated using string template disenumpart2.txt
    TIME_SPACE_POSITION_INFORMATION (46, "Guardrail CSS2 Multi-Role Data Link (MRDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Guardrail CSS2 Direct Air to Satellite Relay (DASR) Data Link */
    // autogenerated using string template disenumpart2.txt
    GUARDRAIL_CSS2_DIRECT_AIR_TO_SATELLITE_RELAY_DASR_DATA_LINK (47, "Guardrail CSS2 Direct Air to Satellite Relay (DASR) Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Line of Sight (LOS) Data Link Implementation (LOS tether) */
    // autogenerated using string template disenumpart2.txt
    LINE_OF_SIGHT_LOS_DATA_LINK_IMPLEMENTATION_LOS_TETHER (48, "Line of Sight (LOS) Data Link Implementation (LOS tether)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Lightweight CDL (LWCDL) */
    // autogenerated using string template disenumpart2.txt
    LIVE_ENTITY_FIRE (49, "Lightweight CDL (LWCDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** L-52M (SR-71) */
    // autogenerated using string template disenumpart2.txt
    LIVE_ENTITY_DETONATION (50, "L-52M (SR-71)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Rivet Reach/Rivet Owl Data Link */
    // autogenerated using string template disenumpart2.txt
    CREATE_ENTITY_RELIABLE (51, "Rivet Reach/Rivet Owl Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Senior Span */
    // autogenerated using string template disenumpart2.txt
    REMOVE_ENTITY_RELIABLE (52, "Senior Span"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Senior Spur */
    // autogenerated using string template disenumpart2.txt
    START_RESUME_RELIABLE (53, "Senior Spur"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Senior Stretch. */
    // autogenerated using string template disenumpart2.txt
    STOP_FREEZE_RELIABLE (54, "Senior Stretch."),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Senior Year Interoperable Data Link (IDL) */
    // autogenerated using string template disenumpart2.txt
    ACKNOWLEDGE_RELIABLE (55, "Senior Year Interoperable Data Link (IDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Space CDL */
    // autogenerated using string template disenumpart2.txt
    ACTION_REQUEST_RELIABLE (56, "Space CDL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TR-1 mode MIST Airborne Data Link */
    // autogenerated using string template disenumpart2.txt
    ACTION_RESPONSE_RELIABLE (57, "TR-1 mode MIST Airborne Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Ku-band SATCOM Data Link Implementation (UAV) */
    // autogenerated using string template disenumpart2.txt
    DATA_QUERY_RELIABLE (58, "Ku-band SATCOM Data Link Implementation (UAV)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Mission Equipment Control Data link (MECDL) */
    // autogenerated using string template disenumpart2.txt
    SET_DATA_RELIABLE (59, "Mission Equipment Control Data link (MECDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Radar Data Transmitting Set Data Link */
    // autogenerated using string template disenumpart2.txt
    DATA_RELIABLE (60, "Radar Data Transmitting Set Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Surveillance and Control Data Link (SCDL) */
    // autogenerated using string template disenumpart2.txt
    EVENT_REPORT_RELIABLE (61, "Surveillance and Control Data Link (SCDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tactical UAV Video */
    // autogenerated using string template disenumpart2.txt
    COMMENT_RELIABLE (62, "Tactical UAV Video"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** UHF SATCOM Data Link Implementation (UAV) */
    // autogenerated using string template disenumpart2.txt
    RECORD_RELIABLE (63, "UHF SATCOM Data Link Implementation (UAV)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tactical Common Data Link (TCDL) */
    // autogenerated using string template disenumpart2.txt
    SET_RECORD_RELIABLE (64, "Tactical Common Data Link (TCDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Low Level Air Picture Interface (LLAPI) */
    // autogenerated using string template disenumpart2.txt
    RECORD_QUERY_RELIABLE (65, "Low Level Air Picture Interface (LLAPI)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Weapons Data Link (AGM-130) */
    // autogenerated using string template disenumpart2.txt
    WEAPONS_DATA_LINK_AGM_130 (66, "Weapons Data Link (AGM-130)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Automatic Identification System (AIS) */
    // autogenerated using string template disenumpart2.txt
    AUTOMATIC_IDENTIFICATION_SYSTEM_AIS (67, "Automatic Identification System (AIS)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Weapons Data Link (AIM-120) */
    // autogenerated using string template disenumpart2.txt
    WEAPONS_DATA_LINK_AIM_120 (68, "Weapons Data Link (AIM-120)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Weapons Data Link (AIM-9) */
    // autogenerated using string template disenumpart2.txt
    WEAPONS_DATA_LINK_AIM_9 (69, "Weapons Data Link (AIM-9)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Weapons Data Link (CAMM) */
    // autogenerated using string template disenumpart2.txt
    WEAPONS_DATA_LINK_CAMM (70, "Weapons Data Link (CAMM)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** GC3 */
    // autogenerated using string template disenumpart2.txt
    GC3 (99, "GC3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 16 Standardized Format (JTIDS/MIDS/TADIL J) */
    // autogenerated using string template disenumpart2.txt
    LINK_16_STANDARDIZED_FORMAT_JTIDS_MIDS_TADIL_J (100, "Link 16 Standardized Format (JTIDS/MIDS/TADIL J)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 16 Enhanced Data Rate (EDR JTIDS/MIDS/TADIL-J) */
    // autogenerated using string template disenumpart2.txt
    LINK_16_ENHANCED_DATA_RATE_EDR_JTIDS_MIDS_TADIL_J (101, "Link 16 Enhanced Data Rate (EDR JTIDS/MIDS/TADIL-J)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** JTIDS/MIDS Net Data Load (TIMS/TOMS) */
    // autogenerated using string template disenumpart2.txt
    JTIDS_MIDS_NET_DATA_LOAD_TIMS_TOMS (102, "JTIDS/MIDS Net Data Load (TIMS/TOMS)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 22 */
    // autogenerated using string template disenumpart2.txt
    LINK_22 (103, "Link 22"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** AFIWC IADS Communications Links */
    // autogenerated using string template disenumpart2.txt
    AFIWC_IADS_COMMUNICATIONS_LINKS (104, "AFIWC IADS Communications Links"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** F-22 Intra-Flight Data Link (IFDL) */
    // autogenerated using string template disenumpart2.txt
    F_22_INTRA_FLIGHT_DATA_LINK_IFDL (105, "F-22 Intra-Flight Data Link (IFDL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** L-Band SATCOM */
    // autogenerated using string template disenumpart2.txt
    L_BAND_SATCOM (106, "L-Band SATCOM"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** TSAF Communications Link */
    // autogenerated using string template disenumpart2.txt
    TSAF_COMMUNICATIONS_LINK (107, "TSAF Communications Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Enhanced SINCGARS 7.3 */
    // autogenerated using string template disenumpart2.txt
    ENHANCED_SINCGARS_73 (108, "Enhanced SINCGARS 7.3"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** F-35 Multifunction Advanced Data Link (MADL) */
    // autogenerated using string template disenumpart2.txt
    F_35_MULTIFUNCTION_ADVANCED_DATA_LINK_MADL (109, "F-35 Multifunction Advanced Data Link (MADL)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Cursor on Target */
    // autogenerated using string template disenumpart2.txt
    CURSOR_ON_TARGET (110, "Cursor on Target"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** All Purpose Structured Eurocontrol Surveillance Information Exchange (ASTERIX) */
    // autogenerated using string template disenumpart2.txt
    ALL_PURPOSE_STRUCTURED_EUROCONTROL_SURVEILLANCE_INFORMATION_EXCHANGE_ASTERIX (111, "All Purpose Structured Eurocontrol Surveillance Information Exchange (ASTERIX)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Variable Message Format (VMF) over Combat Net Radio (VMF over CNR) */
    // autogenerated using string template disenumpart2.txt
    VARIABLE_MESSAGE_FORMAT_VMF_OVER_COMBAT_NET_RADIO_VMF_OVER_CNR (112, "Variable Message Format (VMF) over Combat Net Radio (VMF over CNR)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Link 16 Surrogate for Non-NATO TDL, Using Link 16 and SISO-STD-002 to simulate a non-NATO TDL system */
    // autogenerated using string template disenumpart2.txt
    LINK_16_SURROGATE_FOR_NON_NATO_TDL (113, "Link 16 Surrogate for Non-NATO TDL"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** MQ-1/9 C-Band LOS Uplink */
    // autogenerated using string template disenumpart2.txt
    MQ_1_9_C_BAND_LOS_UPLINK (114, "MQ-1/9 C-Band LOS Uplink"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** MQ-1/9 C-Band LOS Downlink */
    // autogenerated using string template disenumpart2.txt
    MQ_1_9_C_BAND_LOS_DOWNLINK (115, "MQ-1/9 C-Band LOS Downlink"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** MQ-1/9 Ku-Band SATCOM Uplink */
    // autogenerated using string template disenumpart2.txt
    MQ_1_9_KU_BAND_SATCOM_UPLINK (116, "MQ-1/9 Ku-Band SATCOM Uplink"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** MQ-1/9 Ku-Band SATCOM Downlink */
    // autogenerated using string template disenumpart2.txt
    MQ_1_9_KU_BAND_SATCOM_DOWNLINK (117, "MQ-1/9 Ku-Band SATCOM Downlink"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Weapons Datalink (SDB II) */
    // autogenerated using string template disenumpart2.txt
    WEAPONS_DATALINK_SDB_II (118, "Weapons Datalink (SDB II)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** JTAC SA Uplink */
    // autogenerated using string template disenumpart2.txt
    JTAC_SA_UPLINK (119, "JTAC SA Uplink"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Common Interactive Broadcast (CIB) */
    // autogenerated using string template disenumpart2.txt
    COMMON_INTERACTIVE_BROADCAST_CIB (120, "Common Interactive Broadcast (CIB)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Joint Range Extension Application Protocol A (JREAP A) */
    // autogenerated using string template disenumpart2.txt
    JOINT_RANGE_EXTENSION_APPLICATION_PROTOCOL_A_JREAP_A (121, "Joint Range Extension Application Protocol A (JREAP A)"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** JPALS Data Link */
    // autogenerated using string template disenumpart2.txt
    JPALS_DATA_LINK (125, "JPALS Data Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** OneSAF IADS Communications Link */
    // autogenerated using string template disenumpart2.txt
    ONESAF_IADS_COMMUNICATIONS_LINK (126, "OneSAF IADS Communications Link"),
    // autogenerated using string template disenumfootnotecomment.txt

    /** Tactical Targeting Network Technology (TTNT) Application */
    // autogenerated using string template disenumpart2.txt
    TACTICAL_TARGETING_NETWORK_TECHNOLOGY_TTNT_APPLICATION (127, "Tactical Targeting Network Technology (TTNT) Application");

    // autogenerated using string template disenumpart25.txt

    private int value;
    private final String description;

    /** Constructor */
    SignalTDLType(int value, String description)
    {
        this.value = value;
        this.description = description;
    }
    /** Provide enumeration value
      * @return integer value */
    public int getValue()
    {
        return value;
    }

    /** Provide enumeration description
     * @return description
     */
    public String getDescription()
    {
        return description;
    }

    /** bit width for this enumeration
     * @return number of bits wide
     */
    public static int getEnumBitWidth()
    {
      return 16;
    }

    /** 
     * Provide enumeration for a given value
     * @param value integer value of interest
     * @return enumeration corresponding to numeric value
     */
    public static SignalTDLType getEnumForValue(int value)
    {
       for (SignalTDLType nextEnum : SignalTDLType.values())
       {
          if (nextEnum.getValue() == value)
              return nextEnum;
       }
       System.out.flush(); // ensure contiguous console outputs
       System.err.println("No corresponding enumeration found for value " + value + " of enum SignalTDLType");
       System.err.flush(); // ensure contiguous console outputs
       return null;
    }

    // autogenerated using string template disenumpart3_16.txt

    /** Marshal value to DataOutputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dos DataOutputStream for output
     * @throws IOException input-output error */
    public void marshal(DataOutputStream dos) throws IOException
    {
        dos.writeShort(getValue());
    }

    /** Marshal value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for output
     * @throws IOException input-output error */
    public void marshal(ByteBuffer byteBuffer) throws Exception
    {
        byteBuffer.putShort((short)getValue());
    }
    /** Unmarshal value to DataInputStream
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param dis DataInputStream for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static SignalTDLType unmarshalEnum (DataInputStream dis) throws Exception
    {
        return getEnumForValue(dis.readUnsignedShort());
    } 

    /** Unmarshal enumeration value to ByteBuffer
     * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
     * @param byteBuffer ByteBuffer for input
     * @throws Exception unmarshalling input-output error
     * @return enumeration of interest */
    public static SignalTDLType unmarshalEnum (ByteBuffer byteBuffer) throws Exception
    {
        return getEnumForValue(byteBuffer.getShort());
    }   

  /**
   * Returns size of this serialized (marshalled) object in bytes
   * @see <a href="https://en.wikipedia.org/wiki/Marshalling_(computer_science)" target="_blank">https://en.wikipedia.org/wiki/Marshalling_(computer_science)</a>
   * @return serialized size in bytes
   */
    public int getMarshalledSize()
    {
        return 2; // 16 bits
    }
    
  /**
   * Provide name
   * @return  name
   */
    public String getName()
    {
        return name();
    }

  /**
   * Provide simple identifier
   * @return ID number and name
   */
    @Override
    public String toString()
    {
        return "SignalTDLType " + getValue() + " " + name(); 
    }
}
