/**
 * Copyright (c) 2008-2023, MOVES Institute, Naval Postgraduate School (NPS). All rights reserved.
 * This work is provided under a BSD-style open-source license, see project
 * <a href="https://savage.nps.edu/opendis7-java/license.html" target="_blank">license.html</a> and <a href="https://savage.nps.edu/opendis7-java/license.txt" target="_blank">license.txt</a>
 */
// header autogenerated using string template dis7javalicense.txt



package edu.nps.moves.dis7.pdus;

import java.util.*;
import java.io.*;
import edu.nps.moves.dis7.enumerations.*;
import java.nio.ByteBuffer;

/**
 * Alias, more descriptive name for SetRecordRPdu.
 * @see <a href="https://ieeexplore.ieee.org/document/6387564" target="_blank">IEEE Std 1278.1-2012, IEEE Standard for Distributed Interactive Simulation - Application Protocols</a> 
 */
public final class SetRecordReliablePdu extends SetRecordRPdu
{
   /** Default constructor for alias invokes superclass
     * @see <a href="https://docs.oracle.com/javase/tutorial/java/IandI/super.html" target="_blank">https://docs.oracle.com/javase/tutorial/java/IandI/super.html</a>
     */
   public SetRecordReliablePdu ()
   {
       super();
   }
}
